-- inserts for DocumentTests

INSERT INTO wine_cultivation (cultid, name, description) VALUES
('B', 'Bio', 'AT-BIO-302');

INSERT INTO wine_attribute (attrid, name, active, max_kg_per_ha, strict, fill_lower) VALUES
('K', 'Kabinett',  TRUE, NULL, FALSE, 0);

INSERT INTO season (year, currency, min_kg_per_bs, max_kg_per_bs, penalty_per_kg, penalty_amount, penalty_none, start_date, end_date) VALUES
(2020, 'EUR', 1000, 2000, NULL, NULL, NULL, NULL, NULL);

INSERT INTO delivery_schedule (year, dsnr, date, zwstid, description, max_weight, ancmt_from, ancmt_to) VALUES
(2020, 1, '2020-10-01', 'X', 'GV Kabinettaktion', 100000, NULL, NULL);

INSERT INTO delivery_schedule_wine_variety (year, dsnr, sortid, priority) VALUES
(2020, 1, 'GV', 1);

INSERT INTO delivery_announcement (year, dsnr, mgnr, sortid, weight, type) VALUES
(2020, 1, 101, 'GV',  5000, 'manual'),
(2020, 1, 102, 'GV', 10000, 'manual'),
(2020, 1, 103, 'GV',  8000, 'manual'),
(2020, 1, 104, 'GV',  2000, 'manual');

INSERT INTO modifier (year, modid, ordering, name, abs, rel, active) VALUES
(2020, 'S', 0, 'Geschädigte Trauben', NULL, -0.1, TRUE),
(2020, 'A', 0, 'Keine Voranmeldung', -1000, NULL, TRUE);

INSERT INTO delivery (mgnr, year, did, date, time, zwstid, lnr) VALUES
(101, 2020,  1, '2020-10-01', '09:03:12', 'X', 1),
(102, 2020,  2, '2020-10-01', '09:35:56', 'X', 2),
(101, 2020,  3, '2020-10-01', '10:24:09', 'X', 3),
(102, 2020,  4, '2020-10-01', '11:13:52', 'X', 4),
(101, 2020,  5, '2020-10-01', '12:45:29', 'X', 5),
(102, 2020,  6, '2020-10-01', '13:18:43', 'X', 6),
(103, 2020,  7, '2020-10-02', '09:13:43', 'X', 1),
(103, 2020,  8, '2020-10-02', '09:28:02', 'X', 2),
(103, 2020,  9, '2020-10-02', '10:11:13', 'X', 3),
(104, 2020, 10, '2020-10-03', '14:13:32', 'X', 1),
(104, 2020, 11, '2020-10-03', '14:39:22', 'X', 2),
(104, 2020, 12, '2020-10-03', '15:15:41', 'X', 3);

INSERT INTO delivery_part (year, did, dpnr, sortid, attrid, cultid, weight, kmw, qualid, hkid, kgnr, net_weight, manual_weighing, spl_check, scale_id, weighing_data, weighing_reason) VALUES
(2020,  1, 1, 'GV', NULL, NULL,  3219, 15.0, 'QUW', 'WLNO', 06109, TRUE, FALSE, FALSE,  '1', '{"id":"321","nr":321,"gross_weight":3219,"tare_weight":0,"net_weight":3219,"date":"2020-10-01","time":"09:02:46"}', NULL),
(2020,  2, 1, 'GV',  'K', NULL,  2987, 17.5, 'KAB', 'WLNO', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  2, 2, 'GV',  'K', NULL,  1873, 17.7, 'KAB', 'WLNO', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  3, 1, 'GV', NULL, NULL,  2561, 15.4, 'WEI', 'OEST', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  3, 2, 'GV',  'K', NULL,  3129, 17.6, 'WEI', 'OEST', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  3, 3, 'GV', NULL, NULL,  1280, 16.1, 'WEI', 'OEST', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  4, 1, 'GV', NULL, NULL,  4002, 16.7, 'QUW', 'WLNO', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  4, 2, 'GV', NULL, NULL,   481, 15.3, 'QUW', 'WLNO', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  5, 1, 'WR', NULL, NULL,  3192, 17.0, 'KAB', 'WLNO', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  5, 2, 'WR', NULL, NULL,  2190, 17.1, 'KAB', 'WLNO', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  6, 1, 'GV', NULL,  'B',  1732, 15.2, 'QUW', 'WLNO', 06109, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  7, 1, 'GV', NULL,  'B',  3198, 16.3, 'WEI', 'OEST', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  7, 2, 'GV', NULL,  'B',  2134, 15.4, 'QUW', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  8, 1, 'GV', NULL,  'B',  2901, 16.0, 'WEI', 'OEST', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  8, 2, 'GV', NULL,  'B',  3321, 17.3, 'KAB', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020,  9, 1, 'WR', NULL,  'B',  3998, 17.2, 'KAB', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020, 10, 1, 'ZW', NULL, NULL,  1212, 15.0, 'QUW', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020, 10, 2, 'ZW', NULL, NULL,  2471, 15.2, 'QUW', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020, 10, 3, 'ZW', NULL, NULL,   842, 15.7, 'QUW', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020, 11, 1, 'ZW', NULL, NULL,  3578, 17.0, 'KAB', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020, 11, 2, 'ZW', NULL, NULL,  3862, 17.2, 'KAB', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020, 12, 1, 'BP', NULL, NULL,  2410, 18.0, 'KAB', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL),
(2020, 12, 2, 'BP', NULL, NULL,  2313, 18.1, 'KAB', 'WLNO', 15224, TRUE, FALSE, FALSE, NULL, NULL, NULL);

INSERT INTO delivery_part_bucket (year, did, dpnr, bktnr, discr, value) VALUES
(2020, 1, 1, 0, '_', 3219),
(2020, 3, 1, 0, '_', 2561),
(2020, 3, 2, 0, '_', 3129),
(2020, 3, 3, 0, '_', 1280),
(2020, 5, 1, 0, '_', 3192),
(2020, 5, 2, 0, '_', 2190);

INSERT INTO payment_variant (year, avnr, name, date, transfer_date, test_variant, calc_time, comment, data) VALUES
(2020, 1, 'Probevariante', '2021-01-15', '2021-01-15', TRUE, NULL, NULL, '{"mode":"elwig","version":1,"payment":0.5,"curves":[]}');

INSERT INTO payment_delivery_part_bucket (year, did, dpnr, bktnr, avnr, price, amount) VALUES
(2020, 1, 1, 0, 1, 5000, 16095000);
DELETE FROM payment_member;

INSERT INTO payment_member (year, avnr, mgnr, net_amount) VALUES
(2020, 1, 101, 10000000);
